Skip to main content
GET
/
api
/
public
/
organizations
/
{orgId}
/
charts
/
{id}
Get a chart
curl --request GET \
  --url https://charts.basedash.com/api/public/organizations/{orgId}/charts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "dashboardId": "<string>",
    "dashboardTabId": "<string>",
    "organizationId": "<string>",
    "name": "<string>",
    "description": "<string>",
    "chartType": "TABLE",
    "sqlQuery": "<string>",
    "drilldownSqlQuery": "<string>",
    "databaseConnectionId": "<string>",
    "xAxisProperty": "<string>",
    "xAxisSecondaryProperty": "<string>",
    "yAxisProperty": "<string>",
    "staticContent": "<string>",
    "layout": {
      "x": 1,
      "y": 1,
      "width": 2,
      "height": 2
    }
  }
}

Authorizations

Authorization
string
header
required

API key authentication using Bearer token format: Bearer <basedash_api_key>

Path Parameters

orgId
string
required

Organization ID

id
string
required

Chart ID

Response

Chart retrieved successfully

data
object
required